Subject: Re: Board boots when in BDM, hangs otherwise

From: "Richard Hendricks" <[email-masked]>
Date: Tue, 02 May 2000 10:01:25 -0500

Jim Lewis wrote:
> Hi Josh,
..
> Ther is one register that the IN command sets that it does not tell you about. That
> is the ICTRL register, which controls serialization of the core, among other
> things. On powerup, it is set to SHOW-ALL-INSTRUCTION-FETCH-CYCLES. Some 8xx
> processors have problems with this. Read the errata. Check to make sure you are
> setting ICTRL to something like 0x07 in your firmware.
>
> -Jim

This is also probably the source of your slowdown when running
off of BDM.

Also make sure the watchdog is disabled (Dan's code does this, I think).

If anyone is interested, I can post the startup file I use for
running from flash on the FADS board using Metrowerks.  I finally
figured out a way that I can run the same flash image standalone,
and through MPC8bug.

--
MPC823 Applications Engineering Development

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/